On Thu, 22 Sep 2016 16:46:12 +0530, Madhu K said:

> If i want to enable SMP, cores should be of same version( ex: both core
> should ARM 7 ) or we could enable SMP on different version.

There's kernel support for the bigLITTLE architecture in some ARM chips,
but since it depends on being able to migrate execution streams between
them, the various processors really *do* need to be compatible.

You *really* don't want to try to make things work when some cores are
ARM6 and some are ARM7, for instance - that way lies madness if you ever
reschedule onto a different processor (and I'm not even sure our toolchains
are able to generate a mixed-architecture binary without complaint).

Attachment: pgpj__RTTDYiO.pgp
Description: PGP signature

_______________________________________________
Kernelnewbies mailing list
Kernelnewbies@kernelnewbies.org
https://lists.kernelnewbies.org/mailman/listinfo/kernelnewbies

Reply via email to